libabw::ABWParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libabw::ABWParser Class Reference

`#include <ABWParser.h>`

## Public Member Functions
| ABWParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *iface)
virtual | ~ABWParser ()
bool | parse ()

## Private Member Functions
| ABWParser ()
| ABWParser (const ABWParser &)
ABWParser & | operator= (const ABWParser &)
int | getElementToken (xmlTextReaderPtr reader)
bool | processXmlDocument (librevenge::RVNGInputStream *input)
void | processXmlNode (xmlTextReaderPtr reader)
void | readAbiword (xmlTextReaderPtr reader)
void | readM (xmlTextReaderPtr reader)
void | readHistory (xmlTextReaderPtr reader)
void | readRevisions (xmlTextReaderPtr reader)
void | readIgnoredWords (xmlTextReaderPtr reader)
void | readPageSize (xmlTextReaderPtr reader)
void | readSection (xmlTextReaderPtr reader)
void | readA (xmlTextReaderPtr reader)
void | readC (xmlTextReaderPtr reader)
void | readD (xmlTextReaderPtr reader)
void | readL (xmlTextReaderPtr reader)
void | readP (xmlTextReaderPtr reader)
void | readS (xmlTextReaderPtr reader)
void | readEndnote (xmlTextReaderPtr reader)
void | readFoot (xmlTextReaderPtr reader)
void | readImage (xmlTextReaderPtr reader)
void | readTable (xmlTextReaderPtr reader)
void | readCell (xmlTextReaderPtr reader)

## Private Attributes
librevenge::RVNGInputStream * | m_input
librevenge::RVNGTextInterface * | m_iface
ABWCollector * | m_collector
boost::scoped_ptr< ABWParserState > | m_state

## Constructor & Destructor Documentation

libabw::ABWParser::ABWParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | iface
| ) |  |
| explicit

libabw::ABWParser::~ABWParser | ( |  | ) |
| virtual

libabw::ABWParser::ABWParser | ( |  | ) |
| private

libabw::ABWParser::ABWParser | ( | const ABWParser & |  | ) |
| private

## Member Function Documentation

int libabw::ABWParser::getElementToken | ( | xmlTextReaderPtr | reader | ) |
| private

ABWParser& libabw::ABWParser::operator= | ( | const ABWParser & |  | ) |
| private

bool libabw::ABWParser::parse | ( |  | ) |

bool libabw::ABWParser::processXmlDocument | ( | librevenge::RVNGInputStream * | input | ) |
| private

void libabw::ABWParser::processXmlNode | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readA | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readAbiword | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readC | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readCell | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readD | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readEndnote | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readFoot | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readHistory | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readIgnoredWords | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readImage | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readL | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readM | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readP | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readPageSize | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readRevisions | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readS | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readSection | ( | xmlTextReaderPtr | reader | ) |
| private

void libabw::ABWParser::readTable | ( | xmlTextReaderPtr | reader | ) |
| private

## Member Data Documentation

ABWCollector* libabw::ABWParser::m_collector
| private

librevenge::RVNGTextInterface* libabw::ABWParser::m_iface
| private

librevenge::RVNGInputStream* libabw::ABWParser::m_input
| private

boost::scoped_ptr<ABWParserState> libabw::ABWParser::m_state
| private

The documentation for this class was generated from the following files:

- ABWParser.h
- ABWParser.cpp